Subject: bug#47136: closed (Re: [bug#47136] [PATCH 3/3] services: certbot: Add dry-run? certificate option.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Jul 2025 16:37:10 +0000

Your bug report

#47136: [PATCH 0/3] services: certbot: Add dry-run? option and a couple of other minor fixes.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47136: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47136
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#47136] [PATCH 3/3] services: certbot: Add dry-run? certificate option.
From: Maxim Cournoyer <[email-masked]>
To: Pierre Langlois <[email-masked]>
Cc: [email-masked], Leo Famulari <[email-masked]>
Date: Tue, 08 Jul 2025 16:55:54 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Pierre Langlois <[email-masked]> writes:

> Hi Leo,
>
> Leo Famulari writes:
>
>> On Sat, Apr 17, 2021 at 05:51:46PM +0100, Pierre Langlois wrote:
>>> Hi all,
>>> 
>>> Friendly ping on this series :-).
>>
>> Just FYI, we are in "string freeze" until Guix 1.2.1 is released. This
>> means no changes to the manual or other translatable parts of Guix until
>> then.
>
> Aaah I see, thanks for the info!

Finally pushed, some 4 years later. I had to apply it "by hand" ^^.

Thank you!

-- 
Maxim

Subject: [PATCH 0/3] services: certbot: Add dry-run? option and a couple of other minor fixes.
From: Pierre Langlois <[email-masked]>
To: Guix-patches <[email-masked]>
Date: Sun, 14 Mar 2021 13:08:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

I was recently updating my certbot definition to use a manual DNS
challenge, and I found using the Let's Encrypt staging server along with
the --dry-run option to be really useful. Especially given it can take a
few attempts to correctly build your own hooks.

So I've added the option to set dry-run? in the certificate
configuration, let me know what you think!  I've also included a couple
of patches in the series for minor fixes, removing a now deprecated flag
and a small fix in the docs.

Thanks,
Pierre

Pierre Langlois (3):
  services: certbot: Remove deprecated --manual-public-ip-logging-ok.
  services: certbot: Refer to authentication-hook in documentation.
  services: certbot: Add dry-run? certificate option.

 doc/guix.texi            | 43 ++++++++++++++++++++++++++++++++++++----
 gnu/services/certbot.scm | 12 +++++++----
 2 files changed, 47 insertions(+), 8 deletions(-)

-- 
2.30.2